Index: prisma/schema.prisma
===================================================================
--- prisma/schema.prisma	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ prisma/schema.prisma	(revision 87c9f1e792d5963b0e888520b84a76f31bd890fb)
@@ -9,28 +9,30 @@
 
 model Client {
-  id              String        @id @default(uuid())
-  tenantId        String       // Tenant identifier
-  name            String
-  email           String        @unique
-  address         Json
-  logoUrl         String?
-  phoneNumber     String?
-  vatNumber       String?
-  companyNumber   String?
-  representative  String
-  status          CustomerStatus @default(active)
+  id             String       @id @default(uuid())
+  tenantId       String       @map("tenant_id")
+  name           String
+  email          String       @unique
+  address        Json
+  logoUrl        String?      @map("logo_url")
+  phoneNumber    String?      @map("phone_number")
+  vatNumber      String?      @map("vat_number")
+  companyNumber  String?      @map("company_number")
+  representative String
+  status         ClientStatus @default(active)
+  createdAt      DateTime     @default(now()) @map("created_at")
+  updatedAt      DateTime     @updatedAt @map("updated_at")
 
-  tenant          Tenant        @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  tenant           Tenant    @relation(fields: [tenantId], references: [id], onDelete: Cascade)
   invoicesReceived Invoice[] @relation("InvoiceTo")
 }
 
 model Service {
-  id          String  @id @default(uuid())
-  name        String
-  sprint      Float
-  hour        Float
-  month       Float
-  tenantId    String
-  tenant      Tenant   @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  id       String @id @default(uuid())
+  name     String
+  sprint   Float
+  hour     Float
+  month    Float
+  tenantId String @map("tenant_id")
+  tenant   Tenant @relation(fields: [tenantId], references: [id], onDelete: Cascade)
 
   lineItems LineItem[]
@@ -38,30 +40,32 @@
 
 model Invoice {
-  id            String         @id @default(uuid())
-  sent          Int?           // Number of times sent
-  dueDate       DateTime
+  id            String        @id @default(uuid())
+  sent          Int?
+  dueDate       DateTime      @map("due_date")
   status        InvoiceStatus
   currency      Currency
-  quantityType  QuantityType
-  subTotal      Float
-  createDate    DateTime
+  quantityType  QuantityType  @map("quantity_type")
+  subTotal      Float         @map("sub_total")
+  issueDate     DateTime      @map("issue_date")
   month         Month
   discount      Float?
   taxes         Float?
-  totalAmount   Float
-  invoiceNumber String         @unique
-  pdfRef        String?
+  totalAmount   Float         @map("total_amount")
+  invoiceNumber String        @unique @map("invoice_number")
+  pdfRef        String?       @map("pdf_ref")
+  createdAt     DateTime      @default(now()) @map("created_at")
+  updatedAt     DateTime      @updatedAt @map("updated_at")
 
-  invoiceFromId String
-  invoiceFrom   Tenant        @relation(fields: [invoiceFromId], references: [id], onDelete: Cascade)
+  invoiceFromId String @map("tenant_id")
+  invoiceFrom   Tenant @relation(fields: [invoiceFromId], references: [id], onDelete: Cascade)
 
-  invoiceToId   String
-  invoiceTo     Client       @relation("InvoiceTo", fields: [invoiceToId], references: [id], onDelete: Cascade)
+  invoiceToId String @map("client_id")
+  invoiceTo   Client @relation("InvoiceTo", fields: [invoiceToId], references: [id], onDelete: Cascade)
 
-  items         LineItem[]
+  items LineItem[]
 }
 
 model LineItem {
-  id          String   @id @default(uuid())
+  id          String  @id @default(uuid())
   title       String
   price       Float
@@ -69,87 +73,107 @@
   quantity    Int
   description String?
-  serviceId   String
-  service     Service   @relation(fields: [serviceId], references: [id], onDelete: Cascade)
-  invoiceId   String
-  invoice     Invoice   @relation(fields: [invoiceId], references: [id], onDelete: Cascade)
+  serviceId   String  @map("service_id")
+  service     Service @relation(fields: [serviceId], references: [id], onDelete: Cascade)
+  invoiceId   String  @map("invoice_id")
+  invoice     Invoice @relation(fields: [invoiceId], references: [id], onDelete: Cascade)
 }
 
 model Tenant {
-  id                String    @id @default(cuid())
+  id                String     @id @default(cuid())
   name              String
-  email             String    @unique
-  address           Json      
-  bankAccounts      Json?     
-  logoUrl           String?
-  phoneNumber       String?
-  vatNumber         String?
-  companyNumber     String?
+  email             String     @unique
+  address           Json
+  bankAccounts      Json?      @map("bank_accounts")
+  logoUrl           String?    @map("logo_url")
+  phoneNumber       String?    @map("phone_number")
+  vatNumber         String?    @map("vat_number")
+  companyNumber     String?    @map("company_number")
   representative    String
-  lastInvoiceNumber String    @default("0")
-  createdAt         DateTime  @default(now())
-  updatedAt         DateTime  @updatedAt
+  lastInvoiceNumber String     @default("0") @map("last_invoice_number")
+  createdAt         DateTime   @default(now()) @map("created_at")
+  updatedAt         DateTime   @updatedAt @map("updated_at")
   invoicesSent      Invoice[]
   services          Service[]
   employees         Employee[]
-  clients           Client[]  // Add the relation to clients
+  clients           Client[]
+  users             User[]
 }
 
 model Employee {
-  id          String         @id @default(uuid())
-  name        String
-  email       String         @unique
-  status      EmployeeStatus @default(active)
-  iban        String?
-  cv          String?
-  photo       String?
-  project     String?
-  tenantId    String
-  tenant      Tenant         @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  id        String         @id @default(uuid())
+  name      String
+  email     String         @unique
+  status    EmployeeStatus @default(active)
+  iban      String?
+  cv        String?
+  photo     String?
+  project   String?
+  tenantId  String         @map("tenant_id")
+  tenant    Tenant         @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  createdAt DateTime       @default(now()) @map("created_at")
+  updatedAt DateTime       @updatedAt @map("updated_at")
 }
 
-// Enums
-enum CustomerStatus {
-  active
-  banned
-  inactive
+model User {
+  id          String   @id @default(uuid())
+  uid         String   @unique // Firebase UID
+  email       String   @unique
+  displayName String   @map("display_name")
+  role        UserRole
+  tenantId    String   @map("tenant_id")
+  tenant      Tenant   @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  createdAt   DateTime @default(now()) @map("created_at")
+  updatedAt   DateTime @updatedAt @map("updated_at")
+}
+
+enum UserRole {
+  ADMIN   @map("ADMIN")
+  MANAGER @map("MANAGER")
+  USER    @map("USER")
+}
+
+enum ClientStatus {
+  active   @map("ACTIVE")
+  banned   @map("BANNED")
+  inactive @map("INACTIVE")
 }
 
 enum InvoiceStatus {
-  draft
-  processing
-  pending
-  overdue
-  paid
+  draft      @map("DRAFT")
+  processing @map("PROCESSING")
+  pending    @map("PENDING")
+  overdue    @map("OVERDUE")
+  paid       @map("PAID")
 }
 
 enum Currency {
-  EUR
-  USD
+  EUR @map("EUR")
+  USD @map("USD")
 }
 
 enum QuantityType {
-  Unit
-  Hour
-  Sprint
-  Month
+  Unit   @map("UNIT")
+  Hour   @map("HOUR")
+  Sprint @map("SPRINT")
+  Month  @map("MONTH")
 }
 
 enum Month {
-  January
-  February
-  March
-  April
-  May
-  June
-  July
-  August
-  September
-  October
-  November
-  December
+  January   @map("JANUARY")
+  February  @map("FEBRUARY")
+  March     @map("MARCH")
+  April     @map("APRIL")
+  May       @map("MAY")
+  June      @map("JUNE")
+  July      @map("JULY")
+  August    @map("AUGUST")
+  September @map("SEPTEMBER")
+  October   @map("OCTOBER")
+  November  @map("NOVEMBER")
+  December  @map("DECEMBER")
 }
 
 enum EmployeeStatus {
-  active
-  inactive
+  active   @map("ACTIVE")
+  inactive @map("INACTIVE")
 }
Index: prisma/seed.js
===================================================================
--- prisma/seed.js	(revision 299af01b89703f010e0519c717f8e1c8bb9bb299)
+++ prisma/seed.js	(revision 87c9f1e792d5963b0e888520b84a76f31bd890fb)
@@ -6,19 +6,21 @@
   // Clear existing data
   await prisma.service.deleteMany();
+  await prisma.user.deleteMany();
   await prisma.tenant.deleteMany();
 
   // Define default tenant data
   const tenantData = {
-    name: "Default Company",
-    email: "contact@defaultcompany.com",
+    id: "cm7lxc3p00000pb7kmdrxsfod",
+    name: "MVP Masters",
+    email: "info@mvpmasters.com",
     address: {
-      street: "123 Business Street",
-      city: "Business City",
-      state: "BS",
-      zip: "12345",
-      country: "United States"
+      street: "Makedonska Treta Brigada 56",
+      city: "Skopje",
+      state: "Macedonia",
+      zip: "1000",
+      country: "Macedonia"
     },
-    phoneNumber: "+1 234 567 8900",
-    representative: "John Doe",
+    phoneNumber: "+389 72 233 943",
+    representative: "Naum Shapkarovski",
     lastInvoiceNumber: "1",
     logoUrl: "https://example.com/default-logo.png",
@@ -72,5 +74,18 @@
   });
 
+  // Add default admin user
+  const defaultUser = await prisma.user.create({
+    data: {
+      id: 'dK2y3WezYWWltHCaBRvUFlddkOr2',
+      uid: 'dK2y3WezYWWltHCaBRvUFlddkOr2',
+      email: 'naum@mvpmasters.com',
+      displayName: 'Naum',
+      role: 'ADMIN',
+      tenantId: 'cm7lxc3p00000pb7kmdrxsfod'
+    }
+  });
+
   console.log('Seeded default tenant:', defaultTenant);
+  console.log('Seeded default user:', defaultUser);
 
   console.log('🌱 Seeding database...');
